Name: 		libteam
Version: 	1.31
Release: 	3
Summary: 	User-space counterpart library for team network
License: 	LGPLv2+
URL: 		http://www.libteam.org
Source: 	http://www.libteam.org/files/libteam-%{version}.tar.gz

Patch0:    libteam-fix-error-options-in-doc.patch
Patch1:    backport-revert-teamd-Disregard-current-state-when-considerin.patch

BuildRequires: 	gcc jansson-devel libdaemon-devel libnl3-devel
BuildRequires: 	swig dbus-devel systemd doxygen

Provides:   teamd = %{version}-%{release} teamd%{?_isa} = %{version}-%{release}
Obsoletes:  teamd < %{version}-%{release}

%description
This package is the user-space counterpart for the team network
driver, and provides an API to control them.

%package 	devel
Summary	: 	The devel for %{name}
Requires: 	%{name} = %{version}-%{release}
Provides:   teamd-devel = %{version}-%{release} teamd-devel%{?_isa} = %{version}-%{release}
Obsoletes:  teamd-devel < %{version}-%{release}

%description 	devel
Libraries and header files for libteam development

%package -n network-scripts-teamd
Summary: 	legacy network service support of teamd
Requires: 	network-scripts
Supplements: 	(%{name} and network-scripts)

%description -n network-scripts-teamd
This  package provides the ifup and ifdown scripts which
is use with the legacy network service.

%package help
Summary: Document of %{name}
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-doc = %{version}-%{release}
Obsoletes:  %{name}-doc < %{version}-%{release}

%description help
This package contains the document of %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
make %{?_smp_mflags}
make html

%install
mkdir -p _tmpdoc1/examples
rm examples/python/*.py
cp -p examples/*.c _tmpdoc1/examples

%make_install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d
install -p teamd/dbus/teamd.conf $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p teamd/redhat/systemd/teamd@.service $RPM_BUILD_ROOT%{_unitdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
for i in ifup-Team ifdown-Team ifup-TeamPort ifdown-TeamPort; do
	install -p -m 755 teamd/redhat/initscripts_systemd/network-scripts/$i $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
done

install -p -m 755 utils/bond2team $RPM_BUILD_ROOT%{_bindir}/bond2team

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/dbus-1/system.d/teamd.conf
%config(noreplace) %attr(644,root,root) %{_unitdir}/teamd@.service
%{_libdir}/libteam.so.*
%{_bindir}/teamnl
%{_libdir}/libteamdctl.so.*
%{_bindir}/teamd
%{_bindir}/teamdctl
%{_bindir}/bond2team

%files devel
%{_includedir}/team.h
%{_libdir}/libteam.so
%{_libdir}/pkgconfig/libteam.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/teamdctl.h
%{_libdir}/libteamdctl.so
%{_libdir}/pkgconfig/libteamdctl.pc

%files -n network-scripts-teamd
%{_sysconfdir}/sysconfig/network-scripts/ifup-Team
%{_sysconfdir}/sysconfig/network-scripts/ifdown-Team
%{_sysconfdir}/sysconfig/network-scripts/ifup-TeamPort
%{_sysconfdir}/sysconfig/network-scripts/ifdown-TeamPort

%files help
%doc _tmpdoc1/examples
%doc doc/api
%doc teamd/example_configs teamd/redhat/example_ifcfgs/
%doc _tmpdoc2/examples
%{_mandir}/man1/bond2team.1*
%{_mandir}/man5/teamd.conf.5*
%{_mandir}/man8/teamd.8*
%{_mandir}/man8/teamdctl.8*
%{_mandir}/man8/teamnl.8*

%changelog
* Thu Sep 21 2023 zhangruifang <zhangruifang1@h-partners.com> - 1.31-3
- fix an issue about teamd is using 100% cpu usage (of 1 core)

* Thu Sep 8 2022 yixiangzhike <yixiangzhike007@163.com> - 1.31-2
- fix error options in doc

* Thu Jan 21 2021 wangchen <wangchen137@huawei.com> - 1.31-1
- Update to 1.31

* Thu Oct 29 2020 wangchen <wangchen137@huawei.com> - 1.30-2
- Remove python2

* Thu Jul 16 2020 Hugel <gengqihu1@huawei.com> - 1.30-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 1.30

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.27-14
- Delete unneeded obsoletes with isa

* Fri Dec 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.27-13
- Add oboselets

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.27-12
- Add provides of libteam-doc

* Thu Aug 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.27-11
- Package init
